[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible/openwrt|lede: renable clean-up of $TMPDIR
Holger Levsen
holger at layer-acht.org
Fri Apr 28 09:22:58 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 169af4cacaab711ec395ea5b9262e77e02662f06
Author: Alexander Couzens <lynxis at fe80.eu>
Date: Fri Apr 28 02:27:28 2017 +0200
reproducible/openwrt|lede: renable clean-up of $TMPDIR
---
bin/reproducible_lede_common.sh | 15 ++++++---------
1 file changed, 6 insertions(+), 9 deletions(-)
diff --git a/bin/reproducible_lede_common.sh b/bin/reproducible_lede_common.sh
index 8ba6606..38cc2a5 100644
--- a/bin/reproducible_lede_common.sh
+++ b/bin/reproducible_lede_common.sh
@@ -19,16 +19,13 @@ node_debug() {
# only called direct on a remote build node
node_cleanup_tmpdirs() {
export TMPDIR=$1
- local MESSAGE="Not cleaning up to make lynxis happy. Please notify lynxis he must clean up the tempdir $1 on $(hostname)."
- echo $MESSAGE
- irc_message reproducible-builds "$MESSAGE"
- #cd
+ cd
# (very simple) check we are deleting the right stuff
- #if [ "${TMPDIR:0:26}" != "/srv/reproducible-results/" ] || [ ${#TMPDIR} -le 26 ] ; then
- # echo "Something very strange with \$TMPDIR=$TMPDIR exiting instead of doing cleanup."
- # exit 1
- #fi
- #rm -rf $TMPDIR
+ if [ "${TMPDIR:0:26}" != "/srv/reproducible-results/" ] || [ ${#TMPDIR} -le 26 ] ; then
+ echo "Something very strange with \$TMPDIR=$TMPDIR exiting instead of doing cleanup."
+ exit 1
+ fi
+ rm -rf $TMPDIR
}
node_create_tmpdirs() {
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list